import fit.ColumnFixture;

public class CalculadoraDeDescontoColumnFixture extends ColumnFixture {
	public double valorDaCompra;

	private CalculadoraDeDesconto calculadora = new CalculadoraDeDesconto();

	public double desconto() {
		if (valorDaCompra > 0)
			return 100
				* (valorDaCompra - calculadora.aplicaDesconto(valorDaCompra))
				/ valorDaCompra;
		return 0.0;
	}
}
